Subject: Re: linux-next: rr tree build failure

From: Rusty Russell <[email-masked]>
Date: Thu, 27 Nov 2008 18:41:08 +1030

On Tuesday 25 November 2008 23:06:26 Christian Borntraeger wrote:
> Am Dienstag, 25. November 2008 schrieb Rusty Russell:
> > > Also, the x86_64 allmodconfig build failed like this:
> > >
> > > ERROR: "hvc_resize" [drivers/char/virtio_console.ko] undefined!
> > >
> > > hvc_resize is currently not exported to modules.
> > >
> > > I have dropped the rr tree again.
> >
> > OK, I've dropped Christian's patch for the moment until he fixes this. 
> > I'm travelling to Sydney for the day so I won't get a chance to fix this
> > if it breaks tomorrow :(
>
> Ok. Sorry about that. allmodconfig on s390 and i386 select VIRTIO_CONSOLE
> as (y) and not as (m), therefore my tests did not trigger this problem. I
> will try to get an x86_64 box to test on in the future.

Thanks, applied.

For future reference I've taken to preferring fixup patches, which I can fold 
later.

Cheers,
Rusty.